Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.query.exp
Class ContainsExpression

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.query.exp.InMemoryExpression
            |
            +--com.solarmetric.rd.kodo.query.exp.ContainsExpression

All Implemented Interfaces:
  Expression

Direct Known Subclasses:
  ContainsKeyExpression, ContainsValueExpression

public class ContainsExpression
extends InMemoryExpression

Tests that a Collection contains a value.

Constructor Summary
`ContainsExpression(com.solarmetric.rd.kodo.query.exp.InMemoryValue val1, com.solarmetric.rd.kodo.query.exp.InMemoryValue val2)` Constructor.

Method Summary
`protected boolean` | `eval(java.lang.Object candidate, java.lang.Object orig, com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.util.Map params)` Evaluate the expression for the given context candidate and original candidate.
`protected java.util.Collection` | `getCollection(com.solarmetric.rd.kodo.query.exp.InMemoryValue val, java.lang.Object candidate, java.lang.Object orig, com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.util.Map params)` Return the container collection for the given value.

Methods inherited from class com.solarmetric.rd.kodo.query.exp.InMemoryExpression
`evaluate, order`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainsExpression

    public ContainsExpression(com.solarmetric.rd.kodo.query.exp.InMemoryValue val1,
                              com.solarmetric.rd.kodo.query.exp.InMemoryValue val2)

  Constructor.

Parameters:
  `val1` - the container value
  `val2` - the containee to test

Method Detail

### eval

    protected boolean eval(java.lang.Object candidate,
                           java.lang.Object orig,
                           com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                           java.util.Map params)

  Description copied from class: `InMemoryExpression`
  Evaluate the expression for the given context candidate and original candidate.

  Overrides:
    `eval` in class `InMemoryExpression`

### getCollection

    protected java.util.Collection getCollection(com.solarmetric.rd.kodo.query.exp.InMemoryValue val,
                                                 java.lang.Object candidate,
                                                 java.lang.Object orig,
                                                 com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                                                 java.util.Map params)

  Return the container collection for the given value. By defaults, `eval`'s the value and casts the result to a collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.